/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc\BagOfMasterpieceResources.cs
Lines of code: 62
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class BagOfMasterpieceResources : Bag
	{
		[Constructable]
		public BagOfMasterpieceResources() : this( 10 )
		{
		}

		[Constructable]
		public BagOfMasterpieceResources( int amount )
		{
			for ( int j = 0; j < amount; j++ )
			{
				switch ( Utility.Random( 26 ))
				{                                   
					case 0: DropItem( new LesserDetriment( Utility.Random(2,10) ) ); break;   
					case 1: DropItem( new GreaterDetriment( Utility.Random(2,10)  ) ); break;
					case 2: DropItem( new VolcanicAura( Utility.Random(1,5) ) ); break;
					case 3: DropItem( new ContaminatingSlime( Utility.Random(1,5) ) ); break;    
					case 4: DropItem( new WitheringCold( Utility.Random(1,5)) ); break;   
					case 5: DropItem( new IronForce( Utility.Random(1,5) ) ); break;  
					case 6: DropItem( new ElectricStorm( Utility.Random(1,5) ) ); break;
					case 7: DropItem( new ShimmeringLight() ); break;    
					case 8: DropItem( new MythrilIngot() );break;   
					case 9: DropItem( new SoulOfFire() ); break;  
					case 10: DropItem( new EssenceOfFrost() ); break;
					case 11: DropItem( new SpectreOfNox() ); break;    
					case 12: DropItem( new SpiritOfRock() );break;   
					case 13: DropItem( new GhostOfEnergy() ); break;  
					case 14: DropItem( new LuckyClovers( Utility.Random(1,8) ) ); break;
					case 15: DropItem( new CapturedDarkSoul( Utility.Random(1,2) ) );break;   
					case 16: DropItem( new SpeedPearls( Utility.Random(1,4) ) ); break;  
					case 17: DropItem( new EssenceOfDispelling( Utility.Random(1,5) ) ); break;
					case 18: DropItem( new SurrenderingAttack( Utility.Random(1,4) ) ); break;  
					case 19: DropItem( new SurrenderingDefense( Utility.Random(1,4) ) ); break;  
					case 20: DropItem( new PotionOfRepair() ); break;  
					case 21: DropItem( new CapturedMageSoul( Utility.Random(1,2) ) );break; 
					case 22: DropItem( new CapturedLightSoul( Utility.Random(1,2) ) );break; 
					case 23: DropItem( new EtherealShielding( Utility.Random(1,2) ) );break; 
					case 24: DropItem( new EtherealWeaponry( Utility.Random(1,2) ) );break; 
					case 25: DropItem( new DraughtOfAlchemy( Utility.Random(1,5) ) ); break;
				}	
			}
		}

		public BagOfMasterpieceResources( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}